Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 29992 - HP-UX/IRIX compilation problems
HP-UX/IRIX compilation problems
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-28 05:32 EST by Jeff Johnson
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-28 05:35:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnson 2001-02-28 05:32:52 EST
The vendor compilers on both IRIX and HP-UX object to three
spots in header.c, where a void * is cast to some other type and
then a change is made to the pointer (in two cases, pointer
addition)

Reproducible: Always
Steps to Reproduce:
1. configure; make

on IRIX or HP-UX, with the vendor compiler on either.

The IRIX compiler spake thusly:

cc-1133 cc: ERROR File = header.c, Line = 263
  Expression must be a modifiable lvalue.

            for (; ie.info.count > 0; ie.info.count--, ((int_32 *)t) += 1)
                                                                  ^

cc-1133 cc: ERROR File = header.c, Line = 267
  Expression must be a modifiable lvalue.

            for (; ie.info.count > 0; ie.info.count--, ((int_16 *)t) += 1)
                                                                  ^

cc-1133 cc: ERROR File = header.c, Line = 302
  Expression must be a modifiable lvalue.

            ei = (int_32 *) *p = xmalloc(count);
                  ^
                  
The HP-UX compiler says:

cc: "header.c", line 263: warning 524: Cast (non-lvalue) appears on
left-hand side of assignment.
cc: "header.c", line 263: error 1549: Modifiable lvalue required for
assignment operator.
cc: "header.c", line 267: warning 524: Cast (non-lvalue) appears on
left-hand side of assignment.
cc: "header.c", line 267: error 1549: Modifiable lvalue required for
assignment operator.
cc: "header.c", line 302: warning 524: Cast (non-lvalue) appears on
left-hand side of assignment.
cc: "header.c", line 302: error 1549: Modifiable lvalue required for
assignment operator.


The Compaq compiler on Tru64 also points out those three lines as
questionable, but it lets them off with just a warning.
Comment 1 Jeff Johnson 2001-04-03 10:22:01 EDT
Fixed in rpm CVS, should be in rpm-4.0.3-0.4 and later.

Note You need to log in before you can comment on or make changes to this bug.